You are not logged in.

#1 2012-09-04 17:43:29

Eam404
Member
Registered: 2006-10-25
Posts: 20

[SOLVED]Invalid or Corrupted Package

Hi all -


Loooonnng time Arch user here; I tend to lurk more then anything.  I should start by saying Google is my friend, and so is the search button at the top of this forum.  I have not found a solution to my issue so I'm open to suggestions.


I have a fresh install of Arch setup on a Lenovo T430.  Everything for the most part works as intended.  The install went fine, pacstrap, grub all without issue. 
This morning I wanted to continue configuring my DE so I opted for OpenBox and started going to town.

Upon installing Thunar  (missing trash,automount etc..)I remembered I wanted automount support so I went to install gvfs/gvfs-smb.

Xinitrc -  exec ck-launch-session dbus-launch openbox-session 


I am running into the following error:


Proceed with installation? [Y/n] y
(13/13) checking package integrity                                                                    [########################################################]100%
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

I am suddenly starting to have this issue with the majority of packages I try to install.  Now before you get your panties in a twist I have verified the pacman-key --init and pacman-key --populate archlinux steps.  I have also toyed around with SigLevels and no matter what I do it does not seem to make a difference.  I have also tried repopulating the keys, resigning and verifying everything.  The packages download just fine and the integrity check also works.

I am left slightly confused as to why pacman is dishing out "error: failed to commit transaction (invalid or corrupted package)"

I should mention my mirrorslist is default, and I do not have any custom pacman options set.

Any suggestions would greatly be appreciated.

Last edited by Eam404 (2012-09-04 22:26:08)

Offline

#2 2012-09-04 20:36:44

Eam404
Member
Registered: 2006-10-25
Posts: 20

Re: [SOLVED]Invalid or Corrupted Package

UPDATE: After much testing, it appears its only a handful of packages that error out.  The gvfs suite being one of them.  Is anyone else able to confirm gvfs-1.12.3-3.x86-64

Offline

#3 2012-09-04 20:52:44

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 19,341
Website

Re: [SOLVED]Invalid or Corrupted Package

gvfs installs fine here.

Try another mirror...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#4 2012-09-04 21:24:48

Eam404
Member
Registered: 2006-10-25
Posts: 20

Re: [SOLVED]Invalid or Corrupted Package

Thanks for the reply, it appears to happen with packages in community and extra.  I have tried another mirror but will try once more.



sad No luck with multiple different mirrors.

Last edited by Eam404 (2012-09-04 21:29:05)

Offline

#5 2012-09-04 22:25:55

Eam404
Member
Registered: 2006-10-25
Posts: 20

Re: [SOLVED]Invalid or Corrupted Package

UPDATE: After trying multiple USA mirrors, and them showing the same result I randomly selected a mirror close to my location.  Sure enough it works - took a couple of mirrors but it seemed to resolve it self.

Offline

#6 2012-09-04 22:27:06

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 19,341
Website

Re: [SOLVED]Invalid or Corrupted Package

Cool. You can look at a tool like reflector to identify up-to-date mirrors close to you.


Please remember to mark your thread as [Solved].


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB